#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>       //Download: https://www.electronoobs.com/eng_arduino_Adafruit_GFX.php
#include <Adafruit_SSD1306.h>   //Downlaod: https://www.electronoobs.com/eng_arduino_Adafruit_SSD1306.php
Adafruit_SSD1306 display(4);    //Create screen variable

void setup() {
  #if (SSD1306_LCDHEIGHT != 32)
  #error("Height incorrect, please fix Adafruit_SSD1306.h!");
  #endif
    
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);  //Start i2c communication
  //display.setRotation(2);                     //Rotate screen 180 degree
  display.clearDisplay();                     //Clear the display data
  display.display();                          //Send data to the display
  delay(10);
}

void loop() {
  display.clearDisplay();
  display.setTextSize(1);             //Set text size to 1
  display.setTextColor(WHITE);        //White text over black screen
  display.setCursor(0,0);             //Start on pixel 0,0
  display.println("ELECTRONOOBS");    //Print text
  display.setTextColor(BLACK, WHITE); //Black text over white screen
  display.println(3.141592);          //Print text
  display.setTextSize(2);             //Set text size to 2
  display.setTextColor(WHITE);        //White text over black screen
  display.print("0x"); 
  display.println(0xDEADBEEF, HEX);   //Print text
  
  display.display();                  //Send all data to the screen
  delay(2000);                        //Small delay on each loop

  //Now let's print a counter
  for (int i=0; i<10; i++){
    display.clearDisplay();
    display.setTextSize(4); 
    display.setCursor(0,0);
    display.println(i);
    display.display(); 
    delay(1000);
  }
}
